Subject: Re: GCC 3.0
From: "Robert Collins" <[email-masked]>
To: "Weiqi Gao" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 18 Jun 2001 23:04:43 +1000

Not being a gcc c++ hacker, nor a full-time c++ programmer, emailing
just me is kinda wasted, perhaps you forgot to cc the list?

Anyway, look in the cygwin archives and you'll see a bug report about
c++ programs crashing when they did multi-threaded exception handling.
The fix was to rebuild the library with --threads=posix.

Rob

----- Original Message -----
From: "Weiqi Gao" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Sent: Monday, June 18, 2001 10:07 PM
Subject: Re: GCC 3.0

> Robert Collins wrote:
> >
> > I'm not sure that GCC itself ever multi-threads,
> > just that it's libraries support using threads
> > - ie for c++ exceptions.
>
> The old (GCC 2.95.3) configure instructions mentions
> that the --with-threads=posix flag only affects
> Objective-C and Java runtime libraries.
>
> I'm not sure if C++ also needs a thread library to
> function now that GCC 3.0 is (about to be) out.  I
> would hope not, as that would kill a whole lot of C++
> platforms, such as the DJGPP.
>
>
>
> =====
> Weiqi Gao
> [email-masked]
>
>
>
> __________________________________________________
> Do You Yahoo!?
> Spot the hottest trends in music, movies, and more.
> http://buzz.yahoo.com/
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple